use clap::Subcommand;

// TODO: (matej) add Exec, Bash

/// Wraper for docker compose; autodiscover compose file and source .env file.
#[derive(Subcommand, Debug)]
pub enum DockerCompose {
    /// Build containers.
    Build,

    /// Down containers.
    Down,

    /// Stop, build and start containers.
    Rebuild,

    /// Stop and start containers.
    Restart,

    /// Start containers.
    Start,

    /// Stop containers.
    Stop,

    /// Up containers.
    Up,
}
